<?php
namespace Modules\Panier\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class ValidationPanier
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function validation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function refreshValidation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function updateValue(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validationFinal(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function document(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupSignataire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxSignataireValidation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupPlanning(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxAddPlanning(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxPlanningValidation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function impressionDocument(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function waitingvalidationFinal(): bool
    {
        return true;
    }
}
